org.eclipse.oomph.setup.p2

## Interface SetupP2Package.Literals

- Enclosing interface:
    SetupP2Package

      public static interface SetupP2Package.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EClass` | `P2_TASK` The meta object literal for the '`P2 Task`' class.
    `static EAttribute` | `P2_TASK__LABEL` The meta object literal for the 'Label' attribute feature.
    `static EAttribute` | `P2_TASK__LICENSE_CONFIRMATION_DISABLED` The meta object literal for the 'License Confirmation Disabled' attribute feature.
    `static EAttribute` | `P2_TASK__MERGE_DISABLED` The meta object literal for the 'Merge Disabled' attribute feature.
    `static EReference` | `P2_TASK__REPOSITORIES` The meta object literal for the 'Repositories' containment reference list feature.
    `static EReference` | `P2_TASK__REQUIREMENTS` The meta object literal for the 'Requirements' containment reference list feature.

- - ### Field Detail

    - #### P2_TASK

          static final EClass P2_TASK

      The meta object literal for the '`P2 Task`' class.
      See Also:
        `P2TaskImpl`, `SetupP2PackageImpl.getP2Task()`
      Generated

    - #### P2_TASK__LABEL

          static final EAttribute P2_TASK__LABEL

      The meta object literal for the 'Label' attribute feature.
      Generated

    - #### P2_TASK__REQUIREMENTS

          static final EReference P2_TASK__REQUIREMENTS

      The meta object literal for the 'Requirements' containment reference list feature.
      Generated

    - #### P2_TASK__REPOSITORIES

          static final EReference P2_TASK__REPOSITORIES

      The meta object literal for the 'Repositories' containment reference list feature.
      Generated

    - #### P2_TASK__LICENSE_CONFIRMATION_DISABLED

          static final EAttribute P2_TASK__LICENSE_CONFIRMATION_DISABLED

      The meta object literal for the 'License Confirmation Disabled' attribute feature.
      Generated

    - #### P2_TASK__MERGE_DISABLED

          static final EAttribute P2_TASK__MERGE_DISABLED

      The meta object literal for the 'Merge Disabled' attribute feature.
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html